## theseus 3.3.0

=== Makefile ===
# Do not modify this file
# modify make.inc instead for platform specific compilation

include make.inc

OBJECTS = CovMat.o DistMat.o Embed.o  Error.o FragCds.o FragDist.o HierarchVars.o \
lodmats.o MultiPose.o MultiPose2MSA.o MultiPosePth.o \
PCAstats.o pdbIO.o pdbMalloc.o pdbStats.o pdbUtils.o QuarticHornFrag.o \
RandCds.o pdbSSM.o \
ProcGSLSVD.o ProcGSLSVDNu.o ProcJacobiSVD.o \
GibbsMet.o \
qcprot.o \
StructAlign.o NWfill.o \
termcol.o theseuslib.o



all:				libs ltheseus progs

libs:				ldistfit lDLTutils lmsa ldltmath ldssplite

progs:				theseus libs

crushexe:			libs ltheseus crush

ldistfit:
					( cd libdistfit; $(MAKE) && cp libdistfit.a ../lib  )

lDLTutils:
					( cd libDLTutils; $(MAKE) && cp libDLTutils.a ../lib  )

lmsa:
					( cd libmsa; $(MAKE) && cp libmsa.a ../lib  )

ldltmath:
					( cd libdltmath; $(MAKE) && cp libdltmath.a ../lib  )

ldssplite:
					( cd libdssplite; $(MAKE) && cp libdssplite.a ../lib  )

distfitexe:
					$(CC) $(OPT) $(CFLAGS) -c distfit.c
					$(CC) $(OPT) $(CFLAGS) $(LDFLAGS) $(LIBDIR) distfit.o $(LIBS) $(SYSLIBS) -o distfit


# CRUSH-specific files

crush:	    		crush.o $(OBJECTS)
					$(CC) $(OPT) $(CFLAGS) $(LDFLAGS) $(LIBDIR) crush.o $(OBJECTS) $(LIBS) $(SYSLIBS) -o crush

crush.o:			crush.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c crush.c

NWfill.o:    		NWfill.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c NWfill.c

StructAlign.o:    	StructAlign.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c StructAlign.c


# THESEUS-specific files
theseus:			theseus.o $(OBJECTS)
					$(CC) $(OPT) $(CFLAGS) $(LDFLAGS) $(LIBDIR) theseus.o $(OBJECTS) $(LIBS) $(SYSLIBS) -o theseus

CovMat.o:			CovMat.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c CovMat.c

DistMat.o:			DistMat.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c DistMat.c

Error.o:			Error.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Error.c

FragCds.o:			FragCds.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c FragCds.c

FragDist.o:			FragDist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c FragDist.c

HierarchVars.o:		HierarchVars.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c HierarchVars.c

lodmats.o:			lodmats.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c lodmats.c

Embed.o:			Embed.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Embed.c

MultiPose.o:		MultiPose.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c MultiPose.c

MultiPose2MSA.o:	MultiPose2MSA.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c MultiPose2MSA.c

MultiPosePth.o:		MultiPosePth.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c MultiPosePth.c

PCAstats.o:			PCAstats.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c PCAstats.c

pdbIO.o:			pdbIO.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c pdbIO.c

pdbMalloc.o:		pdbMalloc.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c pdbMalloc.c

pdbStats.o:			pdbStats.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c pdbStats.c

pdbSSM.o:			pdbSSM.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c pdbSSM.c

pdbUtils.o:			pdbUtils.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c pdbUtils.c

QuarticHornFrag.o:	QuarticHornFrag.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c QuarticHornFrag.c

RandCds.o:			RandCds.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c RandCds.c

GibbsMet.o: 		GibbsMet.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c GibbsMet.c


# Superposition algorithms
Kabsch.o:			Kabsch.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Kabsch.c

# Kearsley.o:			Kearsley.c
# 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Kearsley.c
#
# Horn.o:				Horn.c
# 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Horn.c

ProcJacobiSVD.o:	ProcJacobiSVD.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcJacobiSVD.c
#
# ProcJacobiSVDOcc.o:	ProcJacobiSVDOcc.c
# 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcJacobiSVDOcc.c

ProcGSLSVD.o:		ProcGSLSVD.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcGSLSVD.c

ProcGSLSVDNu.o:		ProcGSLSVDNu.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcGSLSVDNu.c

termcol.o:  		termcol.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c termcol.c

qcprot.o:			qcprot.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c qcprot.c

theseus.o:			theseus.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c theseus.c

theseuslib.o:		theseuslib.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c theseuslib.c

ltheseus:			$(OBJECTS)
					$(ARCH) $(ARCHFLAGS) libtheseus.a $(OBJECTS)
					mv libtheseus.a lib/libtheseus.a
					$(RANLIB) lib/libtheseus.a

install:
					chmod +x theseus theseus_align
					cp theseus theseus_align $(INSTALLDIR)

installlibs:
					cp lib/*.a ${LOCALLIBDIR}

clean:
					find . -name '*.[oa]' -exec rm -f {} \;
					rm -f theseus distfit

=== libDLTutils/Makefile ===
include ../make.inc

OBJECTS	= DLTutils.o

libDLTutils.a:		$(OBJECTS)
					$(ARCH) $(ARCHFLAGS) libDLTutils.a $(OBJECTS)
					$(RANLIB) libDLTutils.a

DLTutils.o:			DLTutils.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c DLTutils.c

install:

clean:
					rm -f $(OBJECTS)

=== libdltmath/Makefile ===
include ../make.inc

OBJECTS	= ludcmp.o MatUtils.o Mat3Utils.o Mat4Utils.o VecUtils.o \
quicksort.o integrate.o \
eigen_gsl.o MultivarGamma.o \
specfunc.o RegGamma.o

libdistfit.a:		$(OBJECTS)
					$(ARCH) $(ARCHFLAGS) libdltmath.a $(OBJECTS)
					$(RANLIB) libdltmath.a

MultivarGamma.o:	MultivarGamma.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c MultivarGamma.c

ludcmp.o:			ludcmp.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ludcmp.c

MatUtils.o:			MatUtils.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c MatUtils.c

Mat3Utils.o:		Mat3Utils.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Mat3Utils.c

Mat4Utils.o:		Mat4Utils.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Mat4Utils.c

VecUtils.o:			VecUtils.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c VecUtils.c

myrandom.o:			myrandom.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c myrandom.c

statistics.o:		statistics.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c statistics.c

integrate.o:		integrate.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c integrate.c

specfunc.o:			specfunc.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c specfunc.c

RegGamma.o:			RegGamma.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c RegGamma.c

ncbi_math.o:		ncbi_math.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ncbi_math.c

quicksort.o:		quicksort.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c quicksort.c

eigen_gsl.o:		eigen_gsl.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c eigen_gsl.c

install:

clean:
					rm -f $(OBJECTS)

=== libmsa/Makefile ===
include ../make.inc

OBJECTS	= msa.o

libmsa.a:			$(OBJECTS)
					$(ARCH) $(ARCHFLAGS) libmsa.a $(OBJECTS)
					$(RANLIB) libmsa.a

msa.o:				msa.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c msa.c

install:

clean:
					rm -f $(OBJECTS)

=== debian/changelog ===
theseus (3.3.0-9) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update watch file format version to 4.
  * Refer to specific version of license GPL-3+.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Tue, 24 Nov 2020 15:49:14 +0100

theseus (3.3.0-8) unstable; urgency=medium

  * Fix string buffer size
    Closes: #908459

 -- Andreas Tille <tille@debian.org>  Wed, 10 Oct 2018 08:04:34 +0200

theseus (3.3.0-7) unstable; urgency=medium

  [ Fabian Kloetzl ]
  * Team upload.
  * Fix string bugs uncovered by gcc8
    Closes: #908459

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Fabian Kloetzl <kloetzl@evolbio.mpg.de>  Mon, 10 Sep 2018 09:56:01 +0000

theseus (3.3.0-6) unstable; urgency=medium

  * Move packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * Use DEB_SOURCE in d/rules
  * Increase string length of string buffer to build with gcc-7
    Closes: #853681
  * Hardening

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 15:31:38 +0200

theseus (3.3.0-5) unstable; urgency=medium

  * Depends: muscle instead of Suggests since its usage in test suite
    seems to make this sensible.
  * cme fix dpkg-control
  * Remove Morten Kjeldgaard from uploaders who did not committed for 8 years
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Fri, 29 Apr 2016 13:29:14 +0200

theseus (3.3.0-4) unstable; urgency=medium

  * Enable building arch independent packages separately
    Closes: #806223
  * Build against libgsl-dev (version 2) rather than libgsl0-dev
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 25 Nov 2015 18:01:44 +0100

theseus (3.3.0-3) unstable; urgency=medium

  * Fix versioning which really
    Closes: #790515

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jul 2015 09:03:03 +0200

theseus (3.3.0-2) unstable; urgency=medium

  * Fix package split issue
    Closes: #790515

 -- Andreas Tille <tille@debian.org>  Wed, 01 Jul 2015 10:12:21 +0200

theseus (3.3.0-1) unstable; urgency=medium

  * New upstream version
  * Add missing license statement
    Closes: #790311

 -- Andreas Tille <tille@debian.org>  Sun, 28 Jun 2015 15:04:59 +0200

theseus (3.1.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Split examples into separate binary package
  * update debian/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 21 May 2015 16:53:46 +0200

=== debian/control ===
Source: theseus
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libgsl-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/theseus
Vcs-Git: https://salsa.debian.org/med-team/theseus.git
Homepage: http://www.theseus3d.org
Rules-Requires-Root: no

Package: theseus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         clustalo,
         muscle
Suggests: clustalw,
          mafft,
          t-coffee,
          kalign,
          dialign,
          probcons,
          theseus-examples
Description: superimpose macromolecules using maximum likelihood
 Theseus is a program that simultaneously superimposes multiple
 macromolecular structures. Theseus finds the optimal solution to the
 superposition problem using the method of maximum likelihood. By
 down-weighting variable regions of the superposition and by correcting for
 correlations among atoms, the ML superposition method produces very
 accurate structural alignments.
 .
 When macromolecules with different residue sequences are superimposed,
 other programs and algorithms discard residues that are aligned with
 gaps. Theseus, however, uses a novel superimposition algorithm that
 includes all of the data.

Package: theseus-examples
Architecture: all
Depends: ${misc:Depends}
Enhances: theseus
Description: superimpose macromolecules using maximum likelihood (examples)
 Theseus is a program that simultaneously superimposes multiple
 macromolecular structures. Theseus finds the optimal solution to the
 superposition problem using the method of maximum likelihood. By
 down-weighting variable regions of the superposition and by correcting for
 correlations among atoms, the ML superposition method produces very
 accurate structural alignments.
 .
 When macromolecules with different residue sequences are superimposed,
 other programs and algorithms discard residues that are aligned with
 gaps. Theseus, however, uses a novel superimposition algorithm that
 includes all of the data.
 .
 This package contains usage examples for theseus.

=== debian/watch ===
version=4
http://www.theseus3d.org/index.html /src/theseus_(.*).tar.gz
